/*
 * Pan - A Newsreader for X
 * Copyright (C) 2000, 2001  Pan Development Team (pan@superpimp.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef __SMTP_H__
#define __SMTP_H__

#include "article.h"
#include "status-item.h"

/**
 * Opens a new smtp socket and sends the specified message out.
 *
 * @param status the StatusItem through which status and error messages go.
 * @param message the message to be sent
 * @param leader an optional line to prepend the email body.
 */
int smtp_send (StatusItem   * status,
               Article      * article,
               const char   * leader);

#endif
