
#include <glib.h>

#include <pan/server.h>
#include <pan/group.h>
#include <pan/article.h>
#include <pan/pan-glib-extensions.h>

int
main (void)
{
	gint test = 0;
	Group * g;
	Article * a1;
	gchar * pch;

	g_thread_init (NULL);

	g = group_new ("alt.test");

	/* ctor sanity */
	++test;
	a1 = article_new (g);
	if (a1==NULL) return test;
	if (PAN_OBJECT(a1)->ref_count != 1) return test;
	if (a1->crosspost_qty != 0) return test;
	if (a1->part != 0) return test;
	if (a1->parts != 0) return test;
	if (a1->linecount != 0) return test;
	if (a1->state != 0) return test;
	if (a1->unread_children != 0) return test;
	if (a1->date != 0) return test;
	if (a1->threads != NULL) return test;
	if (a1->parent != NULL) return test;
	if (a1->author_addr != NULL) return test;
	if (a1->author_real != NULL) return test;
	if (a1->subject != NULL) return test;
	if (a1->message_id != NULL) return test;
	if (a1->references != NULL) return test;
	g_message ("PASS article ctor sanity check");

	/* set header: no chunk */
	++test;
	pch = "When the Levee Breaks";
	article_set_header (a1, HEADER_SUBJECT, pch, 0);
	if (a1->subject!=pch) return test;
	g_message ("PASS article_set_header, no chunk");

	/* clear header */
	++test;
	article_remove_header (a1, HEADER_SUBJECT);
	if (a1->subject!=NULL) return test;
	g_message ("PASS article_remove_header");

	/* set header: chunk */
	++test;
	article_set_header (a1, HEADER_SUBJECT, pch, DO_CHUNK);
	if (a1->subject==NULL || a1->subject==pch) return test;
	if (pan_strcmp(a1->subject, pch)) return test;
	g_message ("PASS article_set_header, do chunk");

	/* unref cleanup */
	++test;
	pan_object_unref (PAN_OBJECT(a1));
	if (a1->subject!=NULL) return test;
	if (a1->group!=NULL) return test;
	g_message ("PASS article dtor sanity check");

	/* success */
	return 0;
}


